Skip to main content
POST
Add assistant to project

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json

An assistant is an AI-powered processor that analyzes and extracts data from documents within a project.

active
boolean | null
assistantRole
string
chatEnabled
boolean | null
color
string
description
string
name
string

Display name of the assistant.

Example:

"Invoice Extractor"

options
object
priorityHint
integer<int32> | null
project
object | null

A project groups related document stores, assistants, tasks, and processing pipelines within an organization.

projectId
string | null
runOnExistingContent
boolean | null
showInTraining
boolean | null
slug
string

URL-friendly identifier for the assistant.

Example:

"invoice-extractor"

subscription
string
testOptions
object | null
validationErrors
object

Response

Created assistant

An assistant is an AI-powered processor that analyzes and extracts data from documents within a project.

assistantRole
string
required
changeSequence
integer<int32>
required

Optimistic locking version number.

color
string
required
createdOn
string<date-time>
required

Timestamp when the assistant was created.

deleted
boolean
required
description
string
required
id
string
required

Unique identifier (UUID) for the assistant.

Example:

"e4567890-12ab-cdef-3456-789012abcdef"

name
string
required

Display name of the assistant.

Example:

"Invoice Extractor"

options
object
required
priorityHint
integer<int32> | null
required
project
object | null
required

A project groups related document stores, assistants, tasks, and processing pipelines within an organization.

projectId
string | null
required
slug
string
required

URL-friendly identifier for the assistant.

Example:

"invoice-extractor"

subscription
string
required
testOptions
object | null
required
updatedOn
string<date-time>
required

Timestamp when the assistant was last updated.

uuid
string
required

Secondary UUID identifier.

validationErrors
object
required
active
boolean | null
chatEnabled
boolean | null
runOnExistingContent
boolean | null
showInTraining
boolean | null